/*
 * Copyright (C) 2011-2017 Hottinger Bruel & Kjaer Benelux B.V.
 * Schutweg 15a
 * 5145NP Waalwijk
 * The Netherlands
 * http://www.hbm.com
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */
 

#ifndef HBM_FPGA_LCD_H
#define HBM_FPGA_LCD_H


int   lcd_printf(struct hbm_fpga_dev  *fpga,
                 const char           *format, ...);

void  lcd_splash(struct hbm_fpga_dev  *fpga);

int   lcd_setup (struct class         *class,
                 dev_t                *cdev_region,
                 struct hbm_fpga_dev  *fpga);
void  lcd_remove(struct class         *class, 
                 dev_t                *cdev_region,
                 struct hbm_fpga_dev  *fpga);


#endif /* HBM_FPGA_LCD_H */

